unit IdRegister;

interface

{DEFINE Borland}

{$IFDEF Borland}
  {$R IdRegister.dcr}
{$ELSE}
  {$R IdRegisterCool.dcr}
{$ENDIF}
uses
{$IFDEF VER140}DesignIntf, DesignEditors,{$ELSE}Dsgnintf,{$ENDIF}
  Classes;

// Procs
  procedure Register;

implementation

uses
  IdAntiFreeze,
  IdChargenServer, IdChargenUDPServer,
  IdCoderMIME, IdCoderUUE, IdCoderXXE, IdCoder3To4, IdCoderQuotedPrintable,
  IdCookieManager, IdIntercept,
  IdDateTimeStamp, IdDICTServer, IdDiscardServer, IdDiscardUDPServer,
  IdDayTimeServer, IdDayTime, IdDayTimeUDP, IdDayTimeUDPServer,
  IdDNSResolver,
  IdEcho, IdEchoServer, IdEchoUDP, IdEchoUDPServer,
  IdFingerServer, IdFinger, IdFTP, IdFTPServer,
  IdGopher, IdGopherServer,
  IdHTTP, IdHTTPServer, IdHostnameServer, IdHashMessageDigest,
  IdIdent, IdIdentServer, IdIMAP4,
  IdIPMCastClient, IdIPMCastServer, IdIRC,
  IdIrcServer, IdIPWatch, IdIMAP4Server, IdIcmpClient,
  IdServerIOHandler,
  IdLogDebug, IdLogEvent, IdLogFile, IdLPR,
  IdMappedPortTCP, IdMappedPortUDP, IdMailBox,
  IdMessage, IdMessageCoderMIME,
  IdNetworkCalculator, IdNNTP, IdNNTPServer,
  IdIOHandlerSocket, IdServerIOHandlerSocket, IdIOHandlerStream,
  IdPOP3, IdPOP3Server,
  IdQotdServer, IdQotd, IdQotdUDP, IdQotdUDPServer,
  IdResourceStrings, IdRexec,
  IdRexecServer, IdRSH,
  IdRSHServer, IdSMTP,
  IdSMTPServer, IdSNMP, IdSNPP, IdSNTP, IdSimpleServer, IdSocks,
  IdSSLOpenSSL, IdSysLog, IdSysLogMessage, IdSyslogServer, 
  IdTCPClient, IdTCPServer, IdThreadMgrDefault, IdThreadMgrPool, IdTimeServer,
  IdTime, IdTimeUDP, IdTimeUDPServer,
  IdTrivialFTP, IdTrivialFTPServer, IdTelnet, IdTelnetServer,
  IdTunnelMaster, IdTunnelSlave,
  IdUDPClient, IdUDPServer, IdUserAccounts,
  IdVCard,
  IdWhois, IdWhoIsServer;

procedure Register;
begin
  RegisterComponents(RSRegIndyClients, [   {do not localize}
   TIdTCPClient,
   TIdUDPClient,
   //
   TIdDayTime,
   TIdDayTimeUDP,   
   TIdDNSResolver,
   TIdEcho,
   TIdEchoUDP,
   TIdFinger, TIdFTP,
   TIdGopher,
   TIdHTTP,
   TIdIcmpClient, TIdIdent,
   TIdIMAP4,
   TIdIPMCastClient,
   TIdIRC,
   TIdLPR,
   TIdNNTP,
   TIdPOP3,
   TIdQOTD,
   TIdQOTDUDP,
   TIdRexec, TIdRSH,
   TIdSMTP, TIdSNMP, TIdSNPP, TIdSNTP,
   TIdSysLog,
   TIdTelnet, TIdTime,
   TIdTimeUDP,
    TIdTrivialFTP,
   TIdWhois
   ]);

  RegisterComponents(RSRegIndyServers, [ 
   TIdTCPServer,
   TIdUDPServer,
   TIdChargenServer,
   TIdChargenUDPServer,
   TIdDayTimeServer,
   TIdDayTimeUDPServer,
   TIdDICTServer,
   TIdDISCARDServer,
   TIdDiscardUDPServer,
   TIdECHOServer,
   TIdEchoUDPServer,
   TIdFingerServer,
   TIdFTPServer,
   TIdGopherServer,
   TIdHostNameServer,
   TIdHTTPServer,
   TIdIdentServer,
   TIdIMAP4Server,
   TIdIPMCastServer,
   TIdIRCServer,
   TIdMappedPortTCP,
   TIdMappedPortUDP,
   TIdNNTPServer,
   TIdPOP3Server,
   TIdQOTDServer,
   TIdQotdUDPServer,
   TIdRexecServer,
   TIdRSHServer,
   TIdSMTPServer,
   TIdSimpleServer,
   TIdSyslogServer,
   TIdTelnetServer,
   TIdTimeServer,
   TIdTimeUDPServer,
   TIdTrivialFTPServer,
   TIdTunnelMaster,
   TIdTunnelSlave,
   TIdWhoIsServer
   ]);

  RegisterComponents(RSRegIndyMisc, [  {do not localize}
   TIdConnectionIntercept,

   TIdSocksInfo,
   {Open SSL should be supported in Kylix now}
   TIdSSLIOHandlerSocket,
   TIdServerIOHandlerSocket,
   TIdServerIOHandlerSSL,

   TIdAntiFreeze,
   TIdCookieManager,
   TIdEncoderMIME, TIdEncoderUUE, TIdEncoderXXE, TIdEncoderQuotedPrintable,
   TIdDateTimeStamp,
   TIdDecoderMIME, TIdDecoderUUE, TIdDecoderXXE, TIdDecoderQuotedPrintable,
   TIdIPWatch,
   TIdLogDebug,
   TIdLogEvent,
   TIdLogFile,
   TIdMailBox,
   TIdMessage, TIdMessageDecoderMIME,
   TIdNetworkCalculator,
   TIdIOHandlerSocket,
   TIdIOHandlerStream,
   TIdSysLogMessage,
   TIdThreadMgrDefault,
   TIdThreadMgrPool,
   TIdUserManager,
   TIdVCard
   ]);
end;

end.
